Update webhook (REST)
3 min
Update existing webhook
Update an existing webhook in an event
PATCH
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/webhooks/{webhookId}
curl --location -g --request PATCH 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/webhooks' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'\
--data '{
"webhook": {
"name": "{{webhook_name}",
"trigger_item": "{{trigger_name}}}",
"trigger_action": "{{trigger_action}}",
"request_url": "{{target_url_to_send_payload}}",
"request_method": "post"
}
}
'
'REQUEST BODY
{
"webhook": {
"name": "{{webhook_name}",
"trigger_item": "{{trigger_name}}}",
"trigger_action": "{{trigger_action}}",
"request_url": "{{target_url_to_send_payload}}",
"request_method": "post"
}
}
Required attributes:
- name String / a webhook name to help you identify the webhook (also visible in webhook logs)
- trigger_item String / the entity that triggers the webhook; see notes for supported values
- trigger_action String / the action that triggers the webhook; see notes for supported values
- request_url String / the URL to which Brella will POST the webhook payload
- request_method String / always leave as "post"
Notes:
01: Supported trigger_item values:
- "Speaker"
- "Sponsors::Sponsor"
- "Event::Invite"
- "Event::Ticket"
- "Attendee"
- "Event::TicketPurchase"
02: Supported trigger_action values:
- created
- updated
- deleted